declare namespace API {
  type RoleListItem = {
    roleId: number
    roleName: string
    roleCode: string
    roleDesc: string
    dataScopeType: string
    scopeIds?: any
    delFlag: string
    createdBy: string
    modifiedBy: string
    createdTime: string
    modifiedTime: string
  }

  /** 角色列表结果 */
  type RoleListResult = RoleListItem[]

  /** 角色分页结果 */
  type RolesPageResult = RoleListItem[]

  /** 编辑角色入参 */
  type UpdateRolesParams = {
    createdBy: string
    createdTime: string
    dsScope: string
    dataScopeType: string
    id: number
    modifiedBy: string
    modifiedTime: string
    optFlag: string
    roleCode: string
    roleDesc: string
    roleName: string
    scopeIds?: any
  }

  /** 新增角色入参 */
  type AddRolesParams = Pick<UpdateRolesParams, 'dsType' | 'roleCode' | 'roleDesc' | 'roleName'>
}
