declare namespace API {
  /** 全局通用-表格分页请求参数 */
  type PageParams<T = any> = {
    current?: number
    size?: number
  } & {
    [P in keyof T]?: T[P]
  }

  /** 全局通用-表格分页返回数据结构 */
  type PaginationResult = {
    current: number
    hasNext: boolean
    hasPrevious: boolean
    pages: number
    size: number
    total: number
  }

  /** 全局通用-表格查询返回结果 */
  type TableListResult<T = any> = {
    records: T
  } & PaginationResult
}
