import { Button, Modal } from 'antd';
import styled from 'styled-components';

export type PrivacyPolicyDialogProps = {
  title: string;
  show: boolean;
  onCancel: VoidFunction;
};

export default function PrivacyPolicyDialog({
	title,
	show,
	onCancel
}: PrivacyPolicyDialogProps) {
	return (
		<Modal title={title} open={show} onCancel={onCancel} footer={[
      <Button key="back" onClick={onCancel}>
        关 闭
      </Button>
    ]}>
			<AgreementWrapper className="h-[500px] overflow-y-auto">
      <p className="title mb-[20px] bold-text text-center">要易云隐私政策</p>
      <p className="bold-text">本版生效日期：【2024】年【3】月【8】日</p>
      <p className="bold-text">概述</p>
      <p className="bold-text">
        感谢您使用深圳要易云科技服务有限公司的产品，深圳要易云科技服务有限公司及其附属、关联公司（以下称“要易云”或“我们”）非常注重保护用户（“您”）的个人信息及隐私，我们深知个人信息对您的重要性，并将按照法律法规要求和业界成熟的安全标准，采取相应的安全保护措施来保护您的个人信息。我们将通过本政策向您说明要易云会如何收集、存储、保护、使用及对外提供您的个人信息，并说明您享有的权利。其中要点如下：
      </p>
      <p className="bold-text">
        1.为了便于您了解您在使用我们的服务时，我们需要收集的信息类型与用途，我们将结合具体服务向您逐一说明。
      </p>
      <p className="bold-text">2.为了向您提供服务，我们会按照合法、正当、必要的原则收集您的信息。</p>
      <p className="bold-text">
        3.您可以通过本政策介绍的方式访问和管理您的信息、锁定要易云账户或进行投诉举报。
      </p>
      <p className="bold-text">您可以根据以下索引阅读相应章节，进一步了解本政策的具体约定：</p>
      <p className="bold-text">一、我们如何收集和使用您的个人信息</p>
      <p className="bold-text">二、我们如何使用Cookie技术</p>
      <p className="bold-text">三、我们如何存储和保护信息</p>
      <p className="bold-text">四、我们如何共享、转让、公开披露您的信息</p>
      <p className="bold-text">五、您如何管理您的信息</p>
      <p className="bold-text">六、对第三方责任的声明</p>
      <p className="bold-text">七、我们如何保护未成年人的信息</p>
      <p className="bold-text">八、本政策的适用及更新</p>
      <p className="bold-text">九、本政策中关键词说明</p>
      <p>
        深圳要易云科技服务有限公司（注册地址：深圳市福田区莲花街道福中社区福中三路1006号诺德金融中心17A；客服邮箱：changtianchen@yaoyi.net）尊重并保护您的隐私。您使用我们的服务时，我们将按照要易云隐私政策（以下简称“本政策”）收集、存储、使用及对外提供您的信息。同时，我们会通过本政策向您说明，我们如何为您提供访问、更新、管理和保护您的信息的服务。
        <span className="bold-text">
          本政策与您使用我们的服务关系紧密，我们建议您仔细阅读并理解本政策全部内容，做出您认为适当的选择。我们努力用通俗易懂、简明扼要的文字表达，并对本政策中与您的权益存在重大关系的条款和个人信息，采用粗体字进行标注以提示您注意。
        </span>
      </p>
      <p>
        为了遵守国家法律法规及监管规定（例如：进行实名制管理、履行反洗钱职责、安全管理），也为了向您提供服务及提升服务质量，我们需要收集、存储、使用及对外提供您的信息。您同意我们按照本政策约定处理您的信息，以便您享受优质、便捷、个性化的服务，同时更好地保护您的账户安全。
      </p>
      <p className="bold-text">一、我们如何收集和使用您的个人信息</p>
      <p>在您使用我们的产品/服务时，您需要/可以选择授权我们收集和使用个人信息的场景包括：</p>
      <p>
        1.为了向您提供我们产品/服务的基本功能，您需要授权我们收集、使用必要信息的情形，如您拒绝提供前述必要信息，您将无法正常使用我们的产品/服务；
      </p>
      <p>
        2.为了向您提供我们产品/服务的拓展功能，您可以选择授权我们收集、使用信息的情形，如您拒绝提供前述信息，您将无法正常使用相关附加功能或无法实现我们拟达到的功能效果，但并不会影响您正常使用我们产品/服务的基本功能。
      </p>
      <p>3.以下需要/可以选择的授权场景内容如果有变动，我们将按实际情况进行调整。</p>
      <p className="bold-text">（一）您需要授权我们收集和使用个人信息的场景</p>
      <p className="bold-text">
        我们会遵循正当、合法、必要的原则，出于本政策所述的下列目的收集和使用您的个人信息。
      </p>
      <p className="bold-text">1.帮助您成为我们的用户</p>
      <p>
        为遵守法律法规的要求，以及向您提供更个性化、更便捷的服务，在您成为要易云用户时，您需要
        <span className="bold-text">至少提供手机号码以创建要易云账号。</span>
      </p>
      <p className="bold-text">2.企业管理</p>
      <p>
        当您在要易云上进行企业管理或企业信息查询时，您需要提供
        <span className="bold-text">企业名称以及企业税号。</span>
      </p>
      <p className="bold-text">3.发票管理</p>
      <p>
        当您在要易云上进行发票管理或发票信息状态查询时，您需要
        <span className="bold-text">提供发票号码；</span>
        当您在要易云上进行新增发票时，您需要
        <span className="bold-text">根据系统提示上传系统可识别格式的发票。</span>
      </p>
      <p className="bold-text">4.服务商自主申报</p>
      <p>
        当您在要易云上发起对某个服务商自主申报时，您需要在[业务平台-风控管理-配置管理]中配置申报模板、填写被邀请申报的服务商的联系邮箱、有效期、申报开始时间及提取码。被邀请申报的服务商需根据具体要求提供企业名称、统一社会信用代码、法人代表身份证复印件、（法人）个人所得税APP/征信报告、服务商公司业绩简介、推广服务商客户申请表、代理商银行开户行、代理商银行账号、服务商人员相关证书复印件、合规承诺函等材料。
      </p>
      <p className="bold-text">（二）征得同意的例外</p>
      <p className="bold-text">请您知悉，以下情形中，我们收集、使用个人信息无需征得您的授权同意：</p>
      <p>（1）与国家安全、国防安全直接相关的；</p>
      <p>（2）与公共安全、公共卫生、重大公共利益直接相关的；</p>
      <p>（3）与犯罪侦查、起诉、审判和判决执行等直接相关的；</p>
      <p>（4）出于维护您或他人的生命、财产等重大合法权益目的但又难以得到您本人同意的；</p>
      <p>（5）所收集的个人信息是您自行向社会公众公开的；</p>
      <p>（6）从合法公开披露的信息中收集的个人信息，例如：合法的新闻报道、政府信息公开等渠道；</p>
      <p>（7）根据您的要求签订和履行合同所必需的；</p>
      <p>（8）用于维护所提供服务的安全稳定运行所必需的，例如：发现、处置商品或服务的故障；</p>
      <p>（9）法律法规规定的其他情形。</p>
      <p className="bold-text">
        请注意，单独或与其他信息相结合无法识别您的身份或者与您直接建立联系的信息，不属于个人信息。如果我们将单独无法与任何特定个人建立联系的信息与其他信息结合用于识别自然人个人身份，或者将其与个人信息结合使用，则在结合使用期间，此类信息将被视为个人信息。
      </p>
      <p className="bold-text">（三）个人信息的使用规则</p>
      <p>
        为满足您的个性化需求，维护、改进我们的产品或服务质量，我们会在符合法律规定并根据您具体授权的情况下使用如下信息：
      </p>
      <p className="bold-text">
        1.我们可能会收集您的操作信息、查询结果信息、被邀请企业的自主申报信息，以及将您在要易云上使用某项服务中提供的信息与来自要易云其他服务中的信息结合起来，进行综合统计、分析，用来在日常维护过程中对您的使用疑问提出建议方案。包括但不限于通过电话进行回访、向您提供信息咨询等服务或邀请您参与服务、产品或功能有关的客户调研。
      </p>
      <p>
        2.我们可能会收集您在操作使用过程中主动向我们提供的信息，以及您与我们的关联方、合作伙伴之间互动时提供的相关信息，以便于您追踪操作情况、发起用户投诉以及我们优化客户服务的质量与流程。
      </p>
      <p>
        3.我们可能将业务中收集的个人信息用于统计分析和改进运营，将已经去标识化无法识别您身份且不能复原的信息用于建立数据库并进行商业化利用。例如为改进我们系统而进行的技术改造、网络维护、故障排除、内部政策与流程制定、生成内部报告等。
      </p>
      <p className="bold-text">二、我们如何使用Cookie技术</p>
      <p>
        为使您获得更轻松的访问体验，您使用要易云提供的服务时，我们可能会通过小型数据文件识别您的身份，这么做可帮您省去重复输入注册信息的步骤，或者帮助判断您的账户安全状态。这些数据文件可能是Cookie，FlashCookie，您的应用程序提供的其他本地存储（以下简称“Cookie”）。
        <span className="bold-text">请您理解，我们的某些服务只能通过使用Cookie才可得到实现。</span>
      </p>
      <p className="bold-text">三、我们如何存储和保护信息</p>
      <p className="bold-text">
        （一）存储内容：详见本政策第九条“本政策中关键词说明”第一款“个人信息”。
      </p>
      <p className="bold-text">（二）存储地点</p>
      <p>
        我们
        <span className="bold-text">在中华人民共和国境内</span>
        运营中收集和产生的个人信息，将存储在中国境内。
        <span className="bold-text">
          如部分服务涉及跨境业务，我们需要向境外机构传输境内收集的相关个人信息的，我们会按照法律法规和相关监管部门的规定执行，并将向您说明个人信息出境的目的以及涉及的个人信息类型，在征得您同意的前提下再向境外机构合法合规输出信息，我们同时将通过签订协议等有效措施，要求境外机构为所获得的您的个人信息保密。
        </span>
        我们仅在本政策所述目的所必需期间和法律法规及监管规定的时限内保存您的个人信息。
      </p>
      <p className="bold-text">（二）存储期限</p>
      <p>
        我们
        <span className="bold-text">仅在本政策所述目的所必需期间和法律法规及监管规定的时限内保存</span>
        您的个人信息。我们判断个人信息的存储期限主要参考以下标准并以其中较长者为准：
      </p>
      <p>1.妥善留存与您相关的操作记录，以应对您可能的查询或投诉；</p>
      <p>2.保证我们为您提供服务的安全和质量；</p>
      <p>3.您是否同意更长的留存期间；</p>
      <p>4.是否存在关于保留期限的其他特别约定或法律法规规定。</p>
      <p>
        当前我们的存储期限为【5】年，存储的时间起点为您最新一次完成可以提供您个人信息的操作之时。如果相关法律法规长于该存储期限，以相关法律法规规定的存储期限为准。在超出存储期间后，我们会根据所适用法律的要求删除您的个人信息，或将其去标识化处理，使其不能用于识别您的身份且无法复原。
      </p>
      <p>
        在您终止使用要易云服务后，我们会停止对您的信息的收集和使用，法律法规或监管部门另有规定的除外。如我们停止运营，我们将及时停止收集您个人信息的活动，将停止运营的通知以逐一送达或公告的形式通知您，并对所持有的您的个人信息进行删除或去标识化处理。
      </p>
      <p className="bold-text">（三）个人信息的保护措施</p>
      <p>1.数据安全措施</p>
      <p>
        为保障您的信息安全，我们努力采取各种符合业界标准的物理、电子和管理等方面的安全措施来保护您的个人信息。要易云通过信息接触者保密协议、监控机制来对数据进行全面安全控制。防止您的个人信息遭到未经授权的访问、公开披露、使用、修改、损坏或丢失。
      </p>
      <p>2.安全事件</p>
      <p>
        在不幸发生个人信息安全事件后，我们会立即成立专项应急小组，启动应急预案，防止安全事件扩大，并按照法律法规的要求及时向您告知:安全事件的基本情况和可能的影响、我们已采取或将要采取的处置措施、您可自主防范和降低风险的建议、对您个人信息安全事件的补救措施等。我们将及时将事件相关情况以邮件、信函、电话、推送通知等方式告知您，难以逐一告知个人信息主体时，我们会采取合理、有效的方式发布公告。同时，我们还将按照监管部门要求，主动上报个人信息安全事件的处置情况。
      </p>
      <p className="bold-text">
        请您知悉并理解，互联网并非绝对安全的环境，您务必妥善保管好您的要易云登录账号、验证码或者密码。如您发现自己的个人信息泄密，尤其是您的账户或密码发生泄露，请您立即根据本隐私政策中提供的联系方式联络我们，以便我们采取相应措施。
      </p>
      <p className="bold-text">四、我们如何共享、转让、公开披露您的信息</p>
      <p className="bold-text">（一）共享</p>
      <p>
        我们承诺对您的信息进行严格保密。除法律法规及监管部门另有规定外，我们仅在以下情形中与第三方共享您的信息，第三方包括合作金融机构、其他合作伙伴等。如果为了向您提供服务而需要将您的信息共享至第三方，我们将评估该第三方收集信息的合法性、正当性、必要性。我们将要求第三方对您的信息采取保护措施，并且严格遵守相关法律法规与监管要求。另外，我们会按照法律法规及国家标准的要求，以确认协议、具体场景下的文案确认、弹窗提示等形式征得您的同意，或确认第三方已经征得您的同意。
      </p>
      <p>
        1.某些产品或服务可能由第三方提供或由我们与第三方共同提供，因此，
        <span className="bold-text">只有共享您的信息，才能提供您需要的产品或服务；</span>
      </p>
      <p>
        2.事先获得您明确同意的情况下，我们会在法律法规允许且不违背公序良俗的范围内，依据您的授权范围与第三方共享您的信息。
      </p>
      <p className="bold-text">（二）转让</p>
      <p>我们不会将您的个人信息转让给任何公司、组织和个人，但以下情况除外：</p>
      <p>1.在获取明确同意的情况下转让：获得您的明确同意后，我们会向其他方转让您的个人信息；</p>
      <p>2.根据法律法规或强制性的行政或司法要求；</p>
      <p>
        3.在平台发生合并、收购或破产清算情形，或其他涉及合并、收购或破产清算情形时，如涉及到个人信息接收主体变更，我们会要求新的持有您个人信息的公司、组织继续受本政策的约束，且不变更本政策项下约定的处理目的和处理方式，否则我们将要求该公司、组织重新向您征求授权同意。
      </p>
      <p className="bold-text">（三）公开披露</p>
      <p>
        我们仅会在以下情况且在采取符合业界标准的安全防护措施的前提下，才可能公开披露您的个人信息：
      </p>
      <p>1.根据您的需求，在您明确同意的披露方式下披露您所指定的个人信息；</p>
      <p>
        2.根据法律、法规的要求、强制性的行政执法或司法要求所必须提供您个人信息的情况下，我们可能会依据所要求的个人信息类型和披露方式公开披露您的个人信息。在符合法律法规的前提下，当我们收到上述披露信息的请求时，我们会要求信息披露请求方必须出具相应的法律文件，如传票或调查函。
      </p>
      <p className="bold-text">（四）共享、转让、公开披露个人信息时事先征得授权同意的例外</p>
      <p>
        根据相关法律法规规定，以下情形中，共享、转让、公开披露您的个人信息无需事先征得您的授权同意：
      </p>
      <p>1.与我们履行法律法规规定的义务相关的；</p>
      <p>2.与国家安全、国防安全直接相关的；</p>
      <p>3.与公共安全、公共卫生、重大公共利益直接相关的；</p>
      <p>4.与犯罪侦查、起诉、审判和判决执行等司法或行政执法直接相关的；</p>
      <p>5.出于维护您或其他个人的生命、财产等重大合法权益但又难以得到本人同意的；</p>
      <p>6.您自行向社会公众公开的个人信息；</p>
      <p>7.从合法公开披露的信息中收集个人信息的，如合法的新闻报道、政府信息公开等渠道。</p>
      <p>
        根据法律规定，共享、转让、公开披露经去标识化处理的个人信息，且确保数据接收方无法复原并重新识别个人信息主体的，我们对此类数据的处理将无需另行向您通知并征得您的同意。
      </p>
      <p className="bold-text">五、您如何管理您的信息</p>
      <p className="bold-text">您对您的个人信息享有以下权利:</p>
      <p className="bold-text">
        （一）您有权访问、更正、删除您的个人信息，法律法规规定的例外情况除外。
      </p>
      <p className="bold-text">您可以通过以下方式管理您的信息:</p>
      <p className="bold-text">
        您的手机号作为您的登录账号，无法进行更改。角色和绑定的上级机构（即公司名称）是我们后台按照您或者相关方提供的信息进行后台配置，如若您发现有错误信息，可通过本隐私政策联系方式与我们进行联系，进行纠正处理。
      </p>
      <p className="bold-text">（二）锁定账户</p>
      <p className="bold-text">锁定账户是指：</p>
      <p>
        您有权申请锁定您的要易云账户，您可以通过我们的客服或者根据本隐私政策中提供的联系方式联络我们，帮助您办理锁定账户。当您符合账户锁定条件并锁定要易云账户后，我们将根据法律法规的要求尽快删除您的个人信息或作匿名化处理，我们将停止收集、使用或对外提供与该账户相关的个人信息，但您在锁定账户前使用要易云服务期间提供或产生的信息我们仍需按照前述第三条第三款“存储期限”进行保存，且在该存储期限内依法配合有权机关的查询。
      </p>
      <p className="bold-text">（三）响应您的上述请求</p>
      <p className="bold-text">
        为保障您的账户安全，您向我们提出上述请求时，我们可能会先要求您验证您的身份（如要求您提供书面请求或其他方式），然后再处理您的请求。
      </p>
      <p>
        对于您向我们提出的上述请求，我们将在15个工作日内做出答复。如您不满意我们的答复，还可以通过我们在本隐私政策中提供的联系方式发起投诉。
      </p>
      <p>
        对于您合理的请求，我们原则上不收取费用，但
        <span className="bold-text">
          对多次重复、超出合理限度的请求，我们将酌情收取一定费用。对于与您的身份不直接关联的信息、无合理理由重复申请的信息，或者需要过多技术手段（例如，需要开发新系统或从根本上改变现行惯例）、给他人合法权益带来风险或者不切实际的请求，我们可能会予以拒绝。
        </span>
      </p>
      <p className="bold-text">在以下情形中，按照法律法规要求，我们将无法响应您的请求：</p>
      <p className="bold-text">1.与我们履行法律法规规定的义务相关的；</p>
      <p className="bold-text">2.与国家安全、国防安全直接相关的；</p>
      <p className="bold-text">3.与公共安全、公共卫生、重大公共利益直接相关的；</p>
      <p className="bold-text">4.与刑事犯罪侦查、起诉、审判和执行判决等直接相关的；</p>
      <p className="bold-text">5.有充分证据表明个人信息主体存在主观恶意或滥用权利的；</p>
      <p className="bold-text">
        6.出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又难以得到本人授权同意的；
      </p>
      <p className="bold-text">7.响应您的请求将导致您或其他个人、组织的合法权益受到严重损害的；</p>
      <p className="bold-text">8.涉及商业秘密的。</p>
      <p className="bold-text">（四）您有权进行投诉举报</p>
      <p className="bold-text">
        要易云致力于保护您的隐私安全。在您使用要易云提供的服务时，如发现任何违反法律法规或违反本政策规定，不当使用、共享、转让、公开披露或其他侵犯您个人信息安全的行为，您可以通过本政策第十条的联系方式对此类行为进行投诉举报。我们将在15个工作日内，通过弹窗提示、发送短消息等方式对您的投诉举报处理结果进行反馈。
      </p>
      <p className="bold-text">六、对第三方责任的声明</p>
      <p className="bold-text">
        请您注意，您的交易相对方、通过要易云接入的第三方服务可能有自己的隐私权保护政策；当您查看第三方创建的网页或使用第三方开发的应用程序时，这些第三方可能会放置他们自己的Cookie或网络Beacon，这些Cookie或网络Beacon不受我们的控制，且它们的使用不受本政策的约束。我们会努力去要求这些主体对您的个人信息采取保护措施，如您需要，我们建议您与他们联系以获得关于他们的隐私政策的详细情况。如您发现这些第三方创建的网页或第三方开发的应用程序存在个人信息安全风险时，建议您终止相关操作以保护您的合法权益。
      </p>
      <p className="bold-text">七、我们如何保护未成年人的信息</p>
      <p>
        我们的要易云服务仅面向成人。在注册使用我们的服务时，我们会对申请者进行验证，验证方法包括但不限于与您所属的上级机构主体确认。我们将尽最大可能确保我们的服务不涉及未成年人信息。请勿在使用要易云服务时提供任何未成年人的信息。
      </p>
      <p className="bold-text">八、本政策的适用及更新</p>
      <p className="bold-text">
        要易云所有服务均适用本政策，除非相关服务已有独立的隐私政策或相应的用户服务协议当中存在特殊约定。
      </p>
      <p className="bold-text">发生下列重大变化情形时，我们会适时对本政策进行更新：</p>
      <p className="bold-text">1.我们的基本情况发生变化，例如：兼并、收购、重组引起的所有者变更；</p>
      <p className="bold-text">2.收集、存储、使用个人信息的范围、目的、规则发生变化；</p>
      <p className="bold-text">3.对外提供个人信息的对象、范围、目的发生变化；</p>
      <p className="bold-text">4.您访问和管理个人信息的方式发生变化；</p>
      <p className="bold-text">5.数据安全能力、信息安全风险发生变化；</p>
      <p className="bold-text">
        6.用户询问、投诉的渠道和机制，以及外部纠纷解决机构及联络方式发生变化；
      </p>
      <p className="bold-text">7.其他可能对您的个人信息权益产生重大影响的变化。</p>
      <p className="bold-text">
        由于要易云的用户较多，如本政策发生更新，我们将以弹窗提示、发送短消息或者在要易云官方网站发布公告的方式来通知您。如您在本政策更新生效后继续使用要易云服务，即表示您已充分阅读、理解并接受更新后的政策并愿意受更新后的政策约束。
      </p>
      <p className="bold-text">九、本政策中关键词说明</p>
      <p className="bold-text">
        1.个人信息：指以电子或者其他方式记录的能够单独或者与其他信息结合识别特定自然人身份或者反映特定自然人活动情况的各种信息。本隐私政策中可能涉及到的个人信息包括但不限于：个人基本信息（包括姓名、电话号码等）；网络身份标识信息（包括系统账号）；个人上网记录（包括网站浏览记录、点击记录等）；个人设备信息（包括唯一设备识别码等描述个人常用设备基本情况的信息）。
      </p>
      <p className="bold-text">2.要易云的附属公司：要易云科技（北京）有限责任公司。</p>
      <p className="bold-text">3.要易云的关联公司：深圳物明投资管理有限公司。</p>
      <p className="bold-text">十、联系我们</p>
      <p className="bold-text">1、联系公司</p>
      <p>（1）注册地址：深圳市福田区莲花街道福中社区福中三路1006号诺德金融中心17A</p>
      <p>（2）通信地址：北京市丰台区郭公庄北京方向A座1510-3</p>
      <p>（3）企业电话：18810940463</p>
      <p className="bold-text">2、联系客服</p>
      <p>（1）客服电话：18810662165</p>
      <p>（2）客服邮箱：tongdengqiang@yaoyi.net</p>
      <p>（3）客服工作时间：9:30-17:30</p>
      </AgreementWrapper>
		</Modal>
	);
}

const AgreementWrapper = styled.div`
	p:not(.title) {
    text-indent: 2em;
    line-height: 1.5em;
  }
  .underline-bold {
    text-decoration: underline;
    font-weight: bold;
  }
  .bold-text {
    font-weight: bold;
  }
`
